import { RemoteDatabaseOptions } from "../typings";
import Database from "./Database";
/**
 * Manages api databases.
 */
declare class APIDatabase extends Database {
    /**
     * Options for the api database.
     */
    options: RemoteDatabaseOptions;
    /**
     * Undocumented.
     */
    private app;
    /**
     *
     * @param options The options for this api database.
     */
    constructor(options: RemoteDatabaseOptions);
    /**
     * Opens the database.
     * @param callback The callback fn that will be used once database is open.
     */
    open(callback: () => void): Promise<void>;
    /**
     * Axios object.
     */
    private get axios();
    /**
     * Gets the host full url to api.
     */
    get url(): string;
    /**
     * Validates given password.
     * @param pass The password to validate.
     * @returns Boolean indicating whether this password is correct.
     */
    private validatePassword;
    /**
     * Sanitizes given options to api database.
     * @param options The options to merge.
     * @returns An object with the new options.
     */
    private validateOptions;
}
export { APIDatabase };
//# sourceMappingURL=APIDatabase.d.ts.map